<script>
  import { invalidate } from '$app/navigation';

  function reRunLoadFunction() {
    invalidate('app:pokemon');
  }
</script>

<h1>Welcome!</h1>
<slot />

<button on:click={reRunLoadFunction}>Reload Data</button>
